Module | Erubis::ArrayEnhancer
In: | erubis/enhancer.rb

return array instead of string

this is only for Eruby.

### Methods

add_postamble add_preamble

### Public Instance methods

add_postamble(src)

[Source]

    # File erubis/enhancer.rb, line 168
        def add_postamble(src)
          src << "\n" unless src[-1] == ?\n
          src << "#{@bufvar}\n"
        end

add_preamble(src)

[Source]

    # File erubis/enhancer.rb, line 164
        def add_preamble(src)
          src << "#{@bufvar} = [];"
        end

[Validate]